Hide navigation sidebar
Hide table of contents sidebar
Skip to content
Back to top
View this page
Toggle table of contents sidebar

# pip cache

## Usage

Unix/macOS

    python -m pip cache dir
    python -m pip cache info
    python -m pip cache list [<pattern>] [--format=[human, abspath]]
    python -m pip cache remove <pattern>
    python -m pip cache purge

Windows

    py -m pip cache dir
    py -m pip cache info
    py -m pip cache list [<pattern>] [--format=[human, abspath]]
    py -m pip cache remove <pattern>
    py -m pip cache purge

## Description

Inspect and manage pip’s wheel cache.

Subcommands:

- dir: Show the cache directory.

- info: Show information about the cache.

- list: List filenames of packages stored in the cache.

- remove: Remove one or more package from the cache.

- purge: Remove all items from the cache.

`<pattern>` can be a glob expression or a package name.

## Options

--format <list_format>

  Select the output format among: human (default) or abspath

  (environment variable: `PIP_FORMAT`)